﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
using MediaPortal.Configuration;
using MediaPortal.GUI.Library;

namespace StarDate
{
    public partial class StarDateSetup : Form
    {
        public static string SectionName = "StarDate";

        public StarDateSetup()
        {
            InitializeComponent();

            //Load settings
            try
            {
                using (var xmlreader = new MediaPortal.Profile.Settings(Config.GetFile(Config.Dir.Config, "StarDate.xml")))
                {
                    numericUpDownYears.Value = Convert.ToInt32(xmlreader.GetValueAsString(SectionName, "OffsetYears", "0"));
                    numericUpDownSeconds.Value = Convert.ToInt32(xmlreader.GetValueAsString(SectionName, "UpdateSeconds", "1"));
                }
            }
            catch (Exception exc)
            {
                Log.Debug("[StarDate] StarDateSetup: Error LoadSettings: Exception " + exc.Message);
            }
        }

        private void buttonExit_Click(object sender, EventArgs e)
        {
            //SaveSettings
            try
            {
                using (var xmlwriter = new MediaPortal.Profile.Settings(Config.GetFile(Config.Dir.Config, "StarDate.xml")))                
                {
                    xmlwriter.SetValue(SectionName, "OffsetYears", numericUpDownYears.Value.ToString());
                    xmlwriter.SetValue(SectionName, "UpdateSeconds", numericUpDownSeconds.Value.ToString());                   
                }
            }
            catch (Exception exc)
            {
                Log.Debug("[StarDate] StarDateSetup: Error SaveSettings: Exception " + exc.Message);
            }
            Close();
        }

        private void buttonCancelExit_Click(object sender, EventArgs e)
        {
            Close();
        }

       
        
    }
}
